package com.muyu.vehicle.controller;
import com.muyu.common.core.domain.Result;
import com.muyu.vehicle.domain.MqttServerModel;
import com.muyu.vehicle.domain.req.VehicleConnectionReq;
import com.muyu.vehicle.service.VehicleConnectService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Log4j2
@RestController
@RequestMapping("/carInstance")
public class CarInstanceController {

    @Autowired
    private VehicleConnectService vehicleConnectService;


    @PostMapping("/receiveMsg")
    public Result receiveMsg(@RequestBody VehicleConnectionReq vehicleConnectionReq){
        log.info("=======>"+vehicleConnectionReq);
        Result<MqttServerModel> connect = vehicleConnectService.getConnect(vehicleConnectionReq);
        return Result.success(connect);
    }

}
